# Function getPublic

- getPublic(collectionId, productId, batchId): Promise<BatchResponse>

- Get a single batch by ID for a collection and product (public endpoint).

  #### Parameters

  - collectionId: string

    Identifier of the parent collection

  - productId: string

    Identifier of the parent product

  - batchId: string

    Identifier of the batch

  #### Returns Promise<BatchResponse>

  Promise resolving to a BatchResponse object

  #### Throws

  ErrorResponse if the request fails

  - Defined in api/batch.ts:117